#
# spec file for package perl-Config-IniFiles (Version 2.51)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Config-IniFiles
License:        Artistic License
Group:          Development/Libraries/Perl
Url:            http://cpan.org/modules/by-module/Config/
Provides:       p_cnfini
Obsoletes:      p_cnfini
Requires:       perl = %{perl_version}
AutoReqProv:    on
Summary:        A module for reading .ini-style configuration files
Version:        2.51
Release:        3.1
Source:         Config-IniFiles-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Config::IniFiles provides a way to have readable configuration files
outside your Perl script.



Authors:
--------
    Scott Hutton
    Rich Bowen <rbowen@rcbowen.com>
    Jeremy Wadsack <dgsupport at wadsack-allen dot com>

%prep
%setup -n Config-IniFiles-%{version} -q

%build
perl Makefile.PL
make

%check
make test

%install
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install_vendor

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%dir %{perl_vendorlib}/Config
%attr(0644,root,root) %{perl_vendorlib}/Config/IniFiles.pm
%dir %{perl_vendorarch}/auto/Config
%{perl_vendorarch}/auto/Config/IniFiles
%doc %{_mandir}/man3/Config::IniFiles.3pm.gz

%changelog
* Mon May 18 2009 anicka@suse.cz
- update to 2.49
  * Fixed bug https://rt.cpan.org/Public/Bug/Display.html?id=45209
  * Makefile.PL lacked the empty "PL_FILES" directive.
  * Fixed bug https://rt.cpan.org/Ticket/Display.html?id=45588
  * Failure to read ini file contents from a scalar
  (via "IO::Scalar").
  * added t/23scalar-ref.t
* Tue Apr 14 2009 anicka@suse.cz
- update to 2.48
  * bugfixes, documentation fixes
* Thu Jan 22 2009 anicka@suse.cz
- update to 2.47
  * Moved the eval'ed debugging code (_assert_invariants) to
  its own module
  * Placed IniFiles.pm under lib/Config/IniFiles.pm.
  * Added a Build.PL file for the distribution.
  * Made the README contain the useful information and nothing else
  * bugfixes, test fixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 11 2005 schubi@suse.de
- update to 2.39
* Tue Oct 21 2003 lmuelle@suse.de
- add norootforbuild to the spec file
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Aug 14 2003 lmuelle@suse.de
- update to version 2.38
* Fri Jun 13 2003 lmuelle@suse.de
- use perl macros in file list
* Fri Jun 13 2003 lmuelle@suse.de
- add missing directories
* Mon May 19 2003 lmuelle@suse.de
- remove perllocal.pod after install
* Mon May  5 2003 lmuelle@suse.de
- update to 2.37
- remove superfluous document directory, #26659
* Thu Aug  8 2002 mls@suse.de
- use macro in filelist
* Tue Jul  9 2002 ray@suse.de
- update to 2.27
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Mon Feb 25 2002 choeger@suse.de
- perlmodule and some README files had been executable
* Mon May 21 2001 choeger@suse.de
- update to version 2.19
* Wed Nov 15 2000 choeger@suse.de
- long package name
- buildroot
* Wed Aug 16 2000 choeger@suse.de
- first package, v0.09
